List organization units

Lists organizational units used for RBAC scoping within the tenant.

Technical details

Exact HTTP method and path your client calls

get/api/v1/organizations/units

Responses

List of organizational units

FieldTypeDescription
OrganizationUnit[]
object
Example
[
  {
    "id": "string",
    "tenantId": "string",
    "name": "string",
    "parentUnitId": "string",
    "path": "string",
    "createdAt": "2026-01-01T00:00:00.000Z"
  }
]

Errors return the standard envelope. See error reference.

Code samples

curl --request GET \
  --url 'https://api.not24get.me/api/v1/organizations/units' \
  --header 'Authorization: Bearer <your-api-key>' \
  --header 'Content-Type: application/json' \
  --header 'X-Workspace-ID: <workspace-id>'

Try it

Create organization unit

Creates a new organizational unit node.

Technical details

Exact HTTP method and path your client calls

post/api/v1/organizations/units

Request body

FieldTypeDescription
namerequiredstring
parentUnitIdstring

Responses

Organizational unit created

FieldTypeDescription
idstring
tenantIdstring
namestring
parentUnitIdstring
pathstring
createdAtstring<date-time> · date-time
Example
{
  "id": "string",
  "tenantId": "string",
  "name": "string",
  "parentUnitId": "string",
  "path": "string",
  "createdAt": "2026-01-01T00:00:00.000Z"
}

Errors return the standard envelope. See error reference.

Code samples

curl --request POST \
  --url 'https://api.not24get.me/api/v1/organizations/units' \
  --header 'Authorization: Bearer <your-api-key>' \
  --header 'Content-Type: application/json' \
  --header 'X-Workspace-ID: <workspace-id>' \
  --data '{
  "name": "string",
  "parentUnitId": "string"
}'

Try it

Request body (JSON)

Delete organization unit

Deletes an organizational unit. Returns no body on success.

Technical details

Exact HTTP method and path your client calls

delete/api/v1/organizations/units/{unitId}

Path parameters

NameTypeRequiredDescription
unitIdstringrequired

Responses

No Content

FieldTypeDescription
(value)EmptyResponsePart
Example
null

Errors return the standard envelope. See error reference.

Code samples

curl --request DELETE \
  --url 'https://api.not24get.me/api/v1/organizations/units/%3AunitId' \
  --header 'Authorization: Bearer <your-api-key>' \
  --header 'Content-Type: application/json' \
  --header 'X-Workspace-ID: <workspace-id>'

Try it

Path parameters

Get organization unit

Returns a single organizational unit by id.

Technical details

Exact HTTP method and path your client calls

get/api/v1/organizations/units/{unitId}

Path parameters

NameTypeRequiredDescription
unitIdstringrequired

Responses

Organizational unit

FieldTypeDescription
idstring
tenantIdstring
namestring
parentUnitIdstring
pathstring
createdAtstring<date-time> · date-time
Example
{
  "id": "string",
  "tenantId": "string",
  "name": "string",
  "parentUnitId": "string",
  "path": "string",
  "createdAt": "2026-01-01T00:00:00.000Z"
}

Errors return the standard envelope. See error reference.

Code samples

curl --request GET \
  --url 'https://api.not24get.me/api/v1/organizations/units/%3AunitId' \
  --header 'Authorization: Bearer <your-api-key>' \
  --header 'Content-Type: application/json' \
  --header 'X-Workspace-ID: <workspace-id>'

Try it

Path parameters

Update organization unit

Updates unit name, parent, or metadata.

Technical details

Exact HTTP method and path your client calls

patch/api/v1/organizations/units/{unitId}

Path parameters

NameTypeRequiredDescription
unitIdstringrequired

Request body

FieldTypeDescription
namestring
parentUnitIdstring

Responses

Organizational unit updated

FieldTypeDescription
idstring
tenantIdstring
namestring
parentUnitIdstring
pathstring
createdAtstring<date-time> · date-time
Example
{
  "id": "string",
  "tenantId": "string",
  "name": "string",
  "parentUnitId": "string",
  "path": "string",
  "createdAt": "2026-01-01T00:00:00.000Z"
}

Errors return the standard envelope. See error reference.

Code samples

curl --request PATCH \
  --url 'https://api.not24get.me/api/v1/organizations/units/%3AunitId' \
  --header 'Authorization: Bearer <your-api-key>' \
  --header 'Content-Type: application/json' \
  --header 'X-Workspace-ID: <workspace-id>' \
  --data '{
  "name": "string",
  "parentUnitId": "string"
}'

Try it

Path parameters
Request body (JSON)